Add 1.7.10 Support... Please...

Started by ButterJaffa on Sat, 10/12/2019 - 00:57

Topic category: Help with MCreator's application

Last seen on 04:18, 17. Oct 2019
Joined May 2016
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
Add 1.7.10 Support... Please...
Sat, 10/12/2019 - 00:57

Hey everyone I'm Troy also known as ButterJaffa on YouTube and was hoping to get some information on why 1.7.10 Support is gone now?

I'm looking to make a few mods to get to work with Dragon Block C which sadly hasn't been updated from 1.7.10 so I'm kinda stuck... If anyone has an old version of MCreator and could share the files I would be extremely happy.

Or Hopefully the creator of MCreator adds a Minecraft 1.7.10 Generator into the current version of MCreator like he has already done with 1.12.2

 

Thanks

I am citing myself from this…
Sat, 10/12/2019 - 18:15

I am citing myself from this page: https://mcreator.net/news/46587/mcreator-182-performance-update?page=5

Minecraft 1.7.10 is SERIOUSLY outdated and Minecraft Forge developers discourage users from using it and so do we. We plan to make support for custom generator plugins in the near future and if the community is interested enough, they (or we) can develop a plugin for 1.7.10 code generator.

Last seen on 03:20, 4. Nov 2019
Joined Dec 2018
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
so why remove the 1.7.10…
Sun, 10/13/2019 - 03:42

so why remove the 1.7.10 version I don't care if its outdated I just don't understand.

We removed the current…
Sun, 10/13/2019 - 09:37

We removed the current version due to some legal reasons as we did not have the proper permissions for all the files included in this version.

Last seen on 04:18, 17. Oct 2019
Joined May 2016
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
Okay with so with Mojang now…
Tue, 10/15/2019 - 11:12

Okay with so with Mojang now allowing more access to the files of Minecraft would that allow MCreator to work with 1.7.10 when they release those files?... 

Just I know a LOT of people still use 1.7.10 and it is one of the most popular game versions of Minecraft hints why I wanna try so hard to get it working.... BUT I understand if you CAN'T like at all, wither its for Legal reasons or other stuff I just want to get the fact out there that 1.7.10 is a very popular version and even if you couldn't update the new MCreator I wish we could still download the old version of MCreator that works with it.

Thanks 

Last seen on 20:06, 18. Oct 2019
Joined Dec 2018
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
Hi. I and my friends are…
Fri, 10/18/2019 - 01:20

Hi. I and my friends are creating Lotr server. And we actually need some Custom items like unique currency or some quest items. Is there any another version compatible with 1.7.10? (Can I create simple items with no use only texture and id in another version and install it in 1.7.10?)